SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

CREATE proc usp_get_board
	@bd_name	varchar(20)
as

select pid, group_id, homepage, admin_id, content, skin, name, cut_length,
	reg_date, list_type, deny_ip, use_ipcheck, use_badword_filter, use_autolink, use_block_outside, use_reply_mail,
	newhour, upload_avail,
	grant_html, grant_notice, grant_write, grant_write_comment,
	grant_download, grant_reply,grant_list, grant_view, numperpage,
	pages, pds_dir, pds_webdir, h_file, f_file , h_msg, f_msg
from bd_admin
where name=@bd_name
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

create proc usp_get_max_num

	@bd_name	varchar(20)
as
declare
	@sqlquery	varchar(200)
set @sqlquery='select top 1 bd_num,bd_idx_num from board_'+@bd_name+' where bd_num < 2000000000 order by bd_idx_num desc'

exec (@sqlquery)

GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

CREATE proc usp_list_board

	@bd_name varchar(20),
	@page varchar(20),
	@numperpage varchar(20)
as
declare
	@sqlquery varchar(2000)

set @sqlquery='select top '+@numperpage+' num,bd_idx_num,bd_group, bd_num, bd_step, bd_level, ip, pwd, id, nick,
	 email, homepage, icq, reg_date, subject, memo, bd_read, bd_vote, bd_html, bd_file1, bd_file2,
	 bd_down1, bd_down2, modify_date,
	(
		select count(*)
		from bd_comment
		where bd_name='''+@bd_name+''' and bd_num=board_'+@bd_name+'.num
	) as comment_count
from board_'+@bd_name+' 
where bd_idx_num <=
	(	(select max(bd_idx_num) from board_'+@bd_name+') - (('+@page+' - 1) * '+@numperpage+'))
order by bd_idx_num desc'


--select @sqlquery
exec(@sqlquery)
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

CREATE proc usp_list_board_count

	@bd_name 		varchar(20)
as
declare
	@sqlquery		varchar(3000)

set @sqlquery='select count(*) as total from board_'+@bd_name

exec(@sqlquery)
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

CREATE proc usp_list_board_search

	@bd_name 		varchar(20),
	@page 			varchar(20),
	@numperpage 		varchar(20),
	@turn			varchar(20),
	@searchword		varchar(100),
	@category		varchar(100)

as
declare
	@sqlquery		varchar(3000),
	@sqlquery_where	varchar(3000)

	set @searchword=replace(@searchword,'''','''''')

set @sqlquery='select top '+convert(varchar(20),convert(int,@numperpage)*convert(int,@page))+' num,bd_idx_num,
	bd_group, bd_num, bd_step, bd_level, ip, pwd, id, nick,
	 email, homepage, icq, reg_date, subject, memo, bd_read, bd_vote, bd_html, bd_file1, bd_file2,
	 bd_down1, bd_down2, modify_date,
	(
		select count(*)
		from bd_comment
		where bd_name='''+@bd_name+''' and bd_num=board_'+@bd_name+'.num
	) as comment_count
from board_'+@bd_name

set @sqlquery_where=
' where bd_num in (
	select bd_num from board_'+@bd_name+' where bd_idx_num >
		(select max(bd_idx_num) from board_'+@bd_name+') - ('+@turn+' * 5000)
	and
	bd_idx_num <=
		(select max(bd_idx_num) from board_'+@bd_name+') - (('+@turn+'-1) * 5000)
	and
	(
		'
------------------- subject -------------------
if charindex('subject',@category)>0
begin
  set @sqlquery_where=@sqlquery_where+'subject like ''%'+@searchword+'%'' '
  if charindex('nick',@category)>0 or charindex('memo',@category)>0 or charindex('id',@category)>0 or charindex('ip',@category)>0
    set @sqlquery_where=@sqlquery_where+' or '
end

--------------------- nick ------------------
if charindex('nick',@category)>0
begin
  set @sqlquery_where=@sqlquery_where+'nick like ''%'+@searchword+'%'' '
  if charindex('memo',@category)>0 or charindex('id',@category)>0 or charindex('ip',@category)>0
    set @sqlquery_where=@sqlquery_where+' or '
end
------------------- memo --------------------
if charindex('memo',@category)>0
begin
  set @sqlquery_where=@sqlquery_where+'memo like ''%'+@searchword+'%''  '
  if charindex('id',@category)>0 or charindex('ip',@category)>0
    set @sqlquery_where=@sqlquery_where+' or '
end
------------------- id -------------------------
if charindex('id',@category)>0
begin
  set @sqlquery_where=@sqlquery_where+'id like ''%'+@searchword+'%''  '
    if charindex('ip',@category)>0
      set @sqlquery_where=@sqlquery_where+' or '
end
------------------- ip --------------------------
if charindex('ip',@category)>0
  set @sqlquery_where=@sqlquery_where+'ip like ''%'+@searchword+'%'' '

----------------- final -----------------------
set @sqlquery_where=@sqlquery_where+') ) '

set @sqlquery=@sqlquery+@sqlquery_where
exec(@sqlquery)
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

CREATE proc usp_list_board_search_count

	@bd_name 		varchar(20),
	@turn			varchar(20),
	@searchword		varchar(100),
	@category		varchar(100)

as
declare
	@sqlquery		varchar(3000),
	@sqlquery_where	varchar(3000)

set @searchword=replace(@searchword,'''','''''')

set @sqlquery='select count(*) as total from board_'+@bd_name

set @sqlquery_where=
' where bd_idx_num >
	(	(select max(bd_idx_num) from board_'+@bd_name+') - ('+@turn+' * 5000))
	and
	bd_idx_num <=
	(	(select max(bd_idx_num) from board_'+@bd_name+') - (('+@turn+'-1) * 5000))
	and
	(
		'
------------------- subject -------------------
if charindex('subject',@category)>0
begin
  set @sqlquery_where=@sqlquery_where+'subject like ''%'+@searchword+'%'' '
  if charindex('nick',@category)>0 or charindex('memo',@category)>0 or charindex('id',@category)>0 or charindex('ip',@category)>0
    set @sqlquery_where=@sqlquery_where+' or '
end

--------------------- nick ------------------
if charindex('nick',@category)>0
begin
  set @sqlquery_where=@sqlquery_where+'nick like ''%'+@searchword+'%'' '
  if charindex('memo',@category)>0 or charindex('id',@category)>0 or charindex('ip',@category)>0
    set @sqlquery_where=@sqlquery_where+' or '
end
------------------- memo --------------------
if charindex('memo',@category)>0
begin
  set @sqlquery_where=@sqlquery_where+'memo like ''%'+@searchword+'%''  '
  if charindex('id',@category)>0 or charindex('ip',@category)>0
    set @sqlquery_where=@sqlquery_where+' or '
end
------------------- id -------------------------
if charindex('id',@category)>0
begin
  set @sqlquery_where=@sqlquery_where+'id like ''%'+@searchword+'%''  '
    if charindex('ip',@category)>0
      set @sqlquery_where=@sqlquery_where+' or '
end
------------------- ip --------------------------
if charindex('ip',@category)>0
  set @sqlquery_where=@sqlquery_where+'ip like ''%'+@searchword+'%'' '

----------------- final -----------------------
set @sqlquery_where=@sqlquery_where+')'

set @sqlquery=@sqlquery+@sqlquery_where

exec(@sqlquery)
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

CREATE proc usp_readcheck
	@bd_name 		varchar(20),
	@num			int,
	@ip			varchar(20),
	@type			int,
	@output			int	output
as

set @output=(SELECT count(*) from bd_readcheck where bd_name=@bd_name and ip=@ip and num=@num and type=@type)


GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

CREATE proc usp_readcheck2
-----------  -----------
	@bd_name	varchar(20),
	@num		int,
	@ip		varchar(20),
	@type		int
as
declare
	@out		int,
	@query		varchar(1000)
	
--------  ---------

-- read or vote check
exec usp_readcheck @bd_name,@num,@ip,@type,@out output


if ( @out = 0 )
-- do not read or voted then
begin
  set nocount on
  insert into bd_readcheck (bd_name,num,ip,readdate,type)
  values (@bd_name, @num, @ip, getdate(), @type)

  if ( @type=1 )
    set @query='update board_'+@bd_name+' set bd_read=bd_read+1 where num='+convert(varchar(20),@num)
  if ( @type=2 )
    set @query='update board_'+@bd_name+' set bd_vote=bd_vote+1 where num='+convert(varchar(20),@num)
  exec (@query)
  set nocount off
end

-- delete read check record past 1 day
set nocount on
delete from bd_readcheck where datediff(d,readdate,getdate())>1
set nocount off
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

create proc usp_view
	@bd_name	varchar(20),
	@num		int,
	@ip		varchar(20)
as
declare
	@query		varchar(1000)

-- execute readcheck2(read counting or not)
exec usp_readcheck2 @bd_name, @num, @ip, 1

set @query='select num,bd_idx_num,bd_group, bd_num, bd_step, bd_level, ip, pwd, id, nick,
	 email, homepage, icq, reg_date, subject, memo, bd_read, bd_vote, bd_html, bd_file1, bd_file2,
	 bd_down1, bd_down2, modify_date,
	(
		select count(*)
		from bd_comment
		where bd_name='''+@bd_name+''' and bd_num=board_'+@bd_name+'.num
	) as comment_count
from board_'+@bd_name+' where num='+convert(varchar(20),@num)

exec (@query)

GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

