CREATE TABLE [dbo].[bd_admin] (
	[pid] [int] IDENTITY (1, 1) NOT NULL ,
	[name] [varchar] (20) COLLATE Korean_Wansung_CI_AS NOT NULL ,
	[group_id] [int] NOT NULL ,
	[homepage] [varchar] (255) COLLATE Korean_Wansung_CI_AS NULL ,
	[admin_id] [varchar] (30) COLLATE Korean_Wansung_CI_AS NULL ,
	[content] [varchar] (200) COLLATE Korean_Wansung_CI_AS NULL ,
	[h_file] [varchar] (255) COLLATE Korean_Wansung_CI_AS NULL ,
	[f_file] [varchar] (255) COLLATE Korean_Wansung_CI_AS NULL ,
	[numperpage] [int] NOT NULL ,
	[pages] [int] NOT NULL ,
	[skin] [varchar] (255) COLLATE Korean_Wansung_CI_AS NULL ,
	[cut_length] [int] NULL ,
	[grant_write] [int] NULL ,
	[h_msg] [text] COLLATE Korean_Wansung_CI_AS NULL ,
	[f_msg] [text] COLLATE Korean_Wansung_CI_AS NULL ,
	[pds_dir] [varchar] (255) COLLATE Korean_Wansung_CI_AS NULL ,
	[pds_webdir] [varchar] (255) COLLATE Korean_Wansung_CI_AS NULL ,
	[reg_date] [datetime] NULL ,
	[grant_view] [int] NULL ,
	[grant_download] [int] NULL ,
	[grant_list] [int] NULL ,
	[grant_write_comment] [int] NULL ,
	[grant_reply] [int] NULL ,
	[grant_notice] [int] NULL ,
	[grant_html] [int] NULL ,
	[list_type] [int] NULL ,
	[deny_ip] [varchar] (255) COLLATE Korean_Wansung_CI_AS NULL ,
	[use_ipcheck] [int] NULL ,
	[use_badword_filter] [int] NULL ,
	[use_autolink] [int] NULL ,
	[use_block_outside] [int] NULL ,
	[use_reply_mail] [int] NULL ,
	[newhour] [int] NULL ,
	[upload_avail] [int] NULL 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO

CREATE TABLE [dbo].[bd_comment] (
	[num] [int] IDENTITY (1, 1) NOT NULL ,
	[bd_name] [varchar] (20) COLLATE Korean_Wansung_CI_AS NOT NULL ,
	[bd_num] [int] NOT NULL ,
	[id] [varchar] (30) COLLATE Korean_Wansung_CI_AS NULL ,
	[nick] [varchar] (30) COLLATE Korean_Wansung_CI_AS NULL ,
	[pwd] [char] (15) COLLATE Korean_Wansung_CI_AS NULL ,
	[email] [varchar] (50) COLLATE Korean_Wansung_CI_AS NULL ,
	[ip] [char] (15) COLLATE Korean_Wansung_CI_AS NULL ,
	[comment] [text] COLLATE Korean_Wansung_CI_AS NOT NULL ,
	[reg_date] [datetime] NOT NULL 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO

CREATE TABLE [dbo].[bd_readcheck] (
	[readdate] [datetime] NULL ,
	[ip] [char] (15) COLLATE Korean_Wansung_CI_AS NOT NULL ,
	[bd_name] [varchar] (20) COLLATE Korean_Wansung_CI_AS NOT NULL ,
	[num] [int] NOT NULL ,
	[type] [int] NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[member] (
	[num] [int] IDENTITY (1, 1) NOT NULL ,
	[id] [varchar] (30) COLLATE Korean_Wansung_CI_AS NOT NULL ,
	[pwd] [varchar] (30) COLLATE Korean_Wansung_CI_AS NOT NULL ,
	[name] [varchar] (50) COLLATE Korean_Wansung_CI_AS NULL ,
	[nick] [varchar] (30) COLLATE Korean_Wansung_CI_AS NOT NULL ,
	[email] [varchar] (50) COLLATE Korean_Wansung_CI_AS NULL ,
	[url] [varchar] (255) COLLATE Korean_Wansung_CI_AS NULL ,
	[birth] [datetime] NULL ,
	[icq] [varchar] (20) COLLATE Korean_Wansung_CI_AS NULL ,
	[mailing] [bit] NULL ,
	[comment] [text] COLLATE Korean_Wansung_CI_AS NULL ,
	[user_level] [int] NULL ,
	[sign_date] [datetime] NULL ,
	[lc_ip] [varchar] (15) COLLATE Korean_Wansung_CI_AS NULL ,
	[lc_date] [datetime] NULL ,
	[visited] [int] NULL ,
	[score] [int] NULL ,
	[rrs] [char] (13) COLLATE Korean_Wansung_CI_AS NULL ,
	[sex] [char] (1) COLLATE Korean_Wansung_CI_AS NULL ,
	[marriage] [char] (1) COLLATE Korean_Wansung_CI_AS NULL ,
	[home_post] [varchar] (7) COLLATE Korean_Wansung_CI_AS NULL ,
	[home_address] [varchar] (256) COLLATE Korean_Wansung_CI_AS NULL ,
	[home_tel] [varchar] (15) COLLATE Korean_Wansung_CI_AS NULL ,
	[handphone] [varchar] (15) COLLATE Korean_Wansung_CI_AS NULL ,
	[office_post] [varchar] (7) COLLATE Korean_Wansung_CI_AS NULL ,
	[office_address] [varchar] (256) COLLATE Korean_Wansung_CI_AS NULL ,
	[office_tel] [varchar] (15) COLLATE Korean_Wansung_CI_AS NULL ,
	[job] [varchar] (50) COLLATE Korean_Wansung_CI_AS NULL ,
	[job_position] [varchar] (50) COLLATE Korean_Wansung_CI_AS NULL ,
	[disabled] [char] (1) COLLATE Korean_Wansung_CI_AS NULL 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO

ALTER TABLE [dbo].[bd_admin] WITH NOCHECK ADD 
	CONSTRAINT [PK_bd_admin] PRIMARY KEY  CLUSTERED 
	(
		[name]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[member] WITH NOCHECK ADD 
	CONSTRAINT [IX_member_num] UNIQUE  CLUSTERED 
	(
		[num] DESC 
	)  ON [PRIMARY] 
GO

 CREATE  CLUSTERED  INDEX [IX_bd_comment] ON [dbo].[bd_comment]([bd_name], [bd_num]) ON [PRIMARY]
GO

ALTER TABLE [dbo].[bd_admin] WITH NOCHECK ADD 
	CONSTRAINT [DF_bd_admin_group_id] DEFAULT (0) FOR [group_id],
	CONSTRAINT [DF_bd_admin_content] DEFAULT (0) FOR [content],
	CONSTRAINT [DF_board_admin_numperpage] DEFAULT (20) FOR [numperpage],
	CONSTRAINT [DF_board_admin_pages] DEFAULT (10) FOR [pages],
	CONSTRAINT [DF_board_admin_skin] DEFAULT ('default') FOR [skin],
	CONSTRAINT [DF_bd_admin_cut_length] DEFAULT (40) FOR [cut_length],
	CONSTRAINT [DF_board_admin_grant_write] DEFAULT (0) FOR [grant_write],
	CONSTRAINT [DF_bd_admin_h_msg] DEFAULT ('<div>') FOR [h_msg],
	CONSTRAINT [DF_bd_admin_f_msg] DEFAULT ('</div>') FOR [f_msg],
	CONSTRAINT [DF_bd_admin_grant_view] DEFAULT (0) FOR [grant_view],
	CONSTRAINT [DF_bd_admin_grant_download] DEFAULT (0) FOR [grant_download],
	CONSTRAINT [DF_bd_admin_grant_list] DEFAULT (0) FOR [grant_list],
	CONSTRAINT [DF_bd_admin_grant_write_comment] DEFAULT (0) FOR [grant_write_comment],
	CONSTRAINT [DF_bd_admin_grant_reply] DEFAULT (0) FOR [grant_reply],
	CONSTRAINT [DF_bd_admin_grant_notice] DEFAULT (9) FOR [grant_notice],
	CONSTRAINT [DF_bd_admin_grant_html] DEFAULT (0) FOR [grant_html],
	CONSTRAINT [DF_bd_admin_ip_chk] DEFAULT (0) FOR [use_ipcheck],
	CONSTRAINT [DF_bd_admin_filter] DEFAULT (1) FOR [use_badword_filter],
	CONSTRAINT [DF_bd_admin_use_autolink] DEFAULT (1) FOR [use_autolink],
	CONSTRAINT [DF_bd_admin_use_block_outside] DEFAULT (0) FOR [use_block_outside],
	CONSTRAINT [DF_bd_admin_use_reply_mail] DEFAULT (0) FOR [use_reply_mail],
	CONSTRAINT [DF_bd_admin_time_to_new] DEFAULT (24) FOR [newhour],
	CONSTRAINT [DF_bd_admin_upload_avail] DEFAULT (4194304) FOR [upload_avail]
GO

ALTER TABLE [dbo].[member] WITH NOCHECK ADD 
	CONSTRAINT [DF_member_user_level] DEFAULT (0) FOR [user_level],
	CONSTRAINT [DF_member_visited] DEFAULT (0) FOR [visited],
	CONSTRAINT [DF_member_score] DEFAULT (0) FOR [score],
	CONSTRAINT [DF_member_disabled] DEFAULT (0) FOR [disabled],
	CONSTRAINT [PK_member] PRIMARY KEY  NONCLUSTERED 
	(
		[id]
	)  ON [PRIMARY] 
GO

 CREATE  INDEX [IX_bd_readcheck] ON [dbo].[bd_readcheck]([bd_name], [num]) ON [PRIMARY]
GO

 CREATE  INDEX [IX_bd_readcheck_readdata] ON [dbo].[bd_readcheck]([readdate]) ON [PRIMARY]
GO

 CREATE  INDEX [IX_member] ON [dbo].[member]([sign_date] DESC ) ON [PRIMARY]
GO

